Subject: bug#59388: Open emacsclient file at last line

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Nov 2022 15:36:35 +0200

> Date: Mon, 21 Nov 2022 11:55:34 +0300
> From: Jean Louis <[email-masked]>
> Cc: Jim Porter <[email-masked]>, [email-masked],
>   [email-masked], [email-masked]
> 
> * Eli Zaretskii <[email-masked]> [2022-11-20 22:01]:
> > We can invoke functions in the order of --funcall's, but they should run
> > after visiting the file.  Nothing else makes sense, and was never possible
> > with emacsclient anyway.
> 
> I use `-e' to open new frame seeking for specific buffer, or invoking
> specific functions.

Again, please read the discussion before chiming in.  This is, of course,
possible, but people provided convincing reasons why it can be sometimes not
very convenient.

> > So I stand by what I wrote: --funcall'ed functions should run after
> > visiting FILE.  It's not a problem, as you can see from the implementation
> > of -position in the protocol.
> 
> --funcall is similar as `-e' only limited to single function. So I
>   suggest that when you implement that, that --funcall may be used
>   also without any file, such as emacsclient -c --funcall my-function
>   as that way I can invoke necessary programs.

This is redundant, since -e already allows that.